#### Beyond Linux® From Scratch (systemd Edition) - Version r12.0-1685

### Chapter 31. KDE Frameworks 5 Based Applications

- Prev

  Kdenlive-23.08.5

- Next

  kio-extras-23.08.5

- Up
- Home

# KMix-23.08.5

## Introduction to KMix

The KMix package contains a KF5 based Sound Mixer application.

This package is known to build and work properly using an LFS 12.1 platform.

### Package Information

- Download (HTTP): https://download.kde.org/stable/release-service/23.08.5/src/kmix-23.08.5.tar.xz

- Download MD5 sum: a58f84cfc3aa7aeb1745ef0889788dc9

- Download size: 1.2 MB

- Estimated disk space required: 20 MB

- Estimated build time: 0.2 SBU (using parallelism=4)

### KMix Dependencies

#### Required

KDE Frameworks-5.115.0

#### Recommended

alsa-lib-1.2.11

#### Optional

libcanberra-0.30 and PulseAudio-17.0

## Installation of KMix

Install KMix by running the following commands:

    mkdir build &&
    cd    build &&

    cmake -DCMAKE_INSTALL_PREFIX=$KF5_PREFIX \
          -DCMAKE_BUILD_TYPE=Release         \
          -DBUILD_TESTING=OFF                \
          -Wno-dev .. &&
    make

This package does not come with a test suite.

Now, as the `root` user:

    make install

## Contents

Installed Programs: kmix, kmixctrl, and kmixremote
Installed Libraries: libkmixcore.so
Installed Directories: $KF5_PREFIX/share/kmix, $KF5_PREFIX/share/kxmlgui5/kmix, and $KF5_PREFIX/share/doc/HTML/*/kmix

### Short Descriptions

kmix | is a mini audio mixer for kde
kmixctrl | is used to save or restore the settings of kmix
kmixremote | is a utility to mute, get and set volume levels

- Prev

  Kdenlive-23.08.5

- Next

  kio-extras-23.08.5

- Up
- Home